Package org.kapott.hbci.GV.generators

# Class AbstractSEPAGenerator<T>

java.lang.Object
org.kapott.hbci.GV.generators.AbstractSEPAGenerator<T>

Type Parameters:
  `T` - Die konkrete Struktur, aus der die Daten gelesen werden. WICHTIG: Diese Klasse sowie die Ableitungen sollten auch ohne initialisiertes HBCI-System funktionieren, um das XML ohne HBCI-Handler erstellen zu koennen. Daher sollte auf die Verwendung von "HBCIUtils" & Co verzichtet werden. Das ist auch der Grund, warum hier das Java-Logging verwendet wird und nicht das HBCI4Java-eigene.

All Implemented Interfaces:
  `ISEPAGenerator<T>`

Direct Known Subclasses:
  `GenKUmsAllCamt05200107`, `GenLastSEPA00800101`, `GenLastSEPA00800102`, `GenLastSEPA00800108`, `GenLastSEPA00800110`, `GenLastSEPA00800201`, `GenLastSEPA00800202`, `GenLastSEPA00800302`, `GenUebSEPA00100102`, `GenUebSEPA00100103`, `GenUebSEPA00100109`, `GenUebSEPA00100111`, `GenUebSEPA00100202`, `GenUebSEPA00100203`, `GenUebSEPA00100303`

public abstract class AbstractSEPAGenerator<T> extends Object implements ISEPAGenerator<T>
Abstrakte Basis-Implementierung der SEPA-Generatoren.

## Field Summary

### Fields inherited from interface org.kapott.hbci.GV.generators.ISEPAGenerator

`ENCODING`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSEPAGenerator()`

## Method Summary

Modifier and Type
Method
Description
`SepaVersion`
`getSepaVersion()`
Liefert die SEPA-Version des Generators.
`protected void`
`marshal(JAXBElement e, OutputStream os, boolean validate)`
Schreibt die Bean mittels JAXB in den Strean.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.GV.generators.ISEPAGenerator

`generate`

## Constructor Details

### AbstractSEPAGenerator

public AbstractSEPAGenerator()

## Method Details

### marshal

protected void marshal(JAXBElement e, OutputStream os, boolean validate) throws Exception
Schreibt die Bean mittels JAXB in den Strean.

Parameters:
  `e` - das zu schreibende JAXBElement mit der Bean.
  `type` - der Typ der Bean.
  `os` - der OutputStream, in den das XML geschrieben wird.
  `validate` - true, wenn das erzeugte XML gegen das PAIN-Schema validiert werden soll.
Throws:
  `Exception`

### getSepaVersion

public SepaVersion getSepaVersion()
Description copied from interface: `ISEPAGenerator`
Liefert die SEPA-Version des Generators. Wenn die Methode implementiert wurde und eine "vollqualifizierte" SEPA-Version zurueckliefert, in der sowohl URN als auch FILE gesetzt sind, dann wird die Schema-Location dem Marshaller mittels "Marshaller.JAXB_SCHEMA_LOCATION" uebergeben, was bewirkt, dass im Root-Element das Attribute "xsi:schemaLocation" gesetzt wird. Ausserdem kann dann die Schema-Validierung aktiviert werden.

Specified by:
  `getSepaVersion` in interface `ISEPAGenerator<T>`
Returns:
  die zu deklarierende Schema-Location oder NULL, falls nichts angegeben werden soll.
See Also:
  - `ISEPAGenerator.getSepaVersion()`